EDIT - task #9448

feature request # 7431 (New): [MASTER] remaining E4 migration issues

Remove all not e4 classes and rename "Remoting...

02/03/2021 07:33 AM - Katja Luther

" classes

Status: In Progress Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

For a lot of classes there are e4 and not e4 versions, the not e4 versions are not needed anymore therefore we can remove them.

Also classes starting with Remoting should renamed

Associated revisions

Revision 87baedee - 02/04/2021 05:08 PM - Katja Luther
ref #9448: cleanup io package

Revision 9e63c4cf - 02/04/2021 05:28 PM - Katja Luther

ref #9448: cleanup io package - continue

Revision d34a4e38 - 03/11/2021 12:46 PM - Katja Luther

remove Remoting from classnames and rename featuretreecomparator -continue

Revision 6e6c5a95 - 03/15/2021 01:39 PM - Katja Luther

ref #9448: remove SpecimenSearch wizard pages

Revision 2611dff9 - 06/02/2021 12:04 PM - Katja Luther

ref #9448: remove E4 from file names

Revision fa228679 - 06/02/2021 12:08 PM - Katja Luther

ref #9448: remove E4 from file names - continue

Revision 843eefc4 - 06/02/2021 12:27 PM - Katja Luther

ref #9448: remove E4 from file names - bulkeditor package

Revision 1645f1e2 - 06/02/2021 12:30 PM - Katja Luther

ref #9448: remove E4 from file names - bulkeditor continue

Revision 38e9eb06 - 06/02/2021 12:34 PM - Katja Luther

ref #9448: remove E4 from file names - cdmViewer

Revision bbae6889 - 06/02/2021 01:16 PM - Katja Luther

ref #9448: remove E4 from file names - coninue and cleanup

Revision a6d3d9c5 - 06/02/2021 01:20 PM - Katja Luther

ref #9448: remove E4 from file names - supplementalDataView

Revision 8a6625ad - 06/02/2021 01:23 PM - Katja Luther

ref #9448: remove E4 from file names - continue

Revision 865e32f6 - 06/02/2021 03:06 PM - Katja Luther
ref #9448: remove E4 from file names - adapt fragment.e4xmi

Revision 85326264 - 06/02/2021 03:10 PM - Katja Luther

ref #9448: remove E4 from file names - bulkeditor continue

History

#1 - 02/03/2021 10:33 AM - Andreas Miiller
- Parent task set to #7431

#2 - 02/03/2021 10:34 AM - Andreas Miiller

- Tags set to eclipse4

#3 - 02/08/2021 12:04 PM - Andreas Miiller

- Status changed from New to In Progress

KL:

soweit ich es sehe, betraf das vor allem das io package, ich habe das aufgeraumt. An anderer Stelle habe ich nichts mehr gefunden, lasse das Ticket
aber erstmal noch offen, wenn doch noch was gefunden wird.

Auf die package Struktur will ich aber auch nochmal gucken, das sieht ja auch nicht so Ubersichtlich aus, wenn da immer wieder e4 eingeflgt ist und
anderer Stelle nicht. Das wirde ich aber nach dem Release machen.

AM:

sehr schoén, das waren ja trotzdem schon eine Reihe Klassen, die komplett geldscht werde konnten.

Ja, wenn wir dann noch weitermachen und das E4 komplett aus allen Klassen- und Paketnamen léschen dann sieht alles wieder schén sauber aus,
und zudem werden wir vielleicht auch noch einige unnétige Klassen finden.

Das wére schon, wenn du das nach dem Release direkt machen kdnntest.

Ebenso wie die Umbennung von einer der beiden TaxonEditorinput Klassen.

#4 - 03/11/2021 08:51 AM - Katja Luther

- Target version changed from Release 5.21 to Release 5.22

#5 - 03/15/2021 09:43 AM - Katja Luther

- Description updated

#6 - 03/15/2021 09:43 AM - Katja Luther

- Subject changed from Remove all not e4 classes to Remove all not e4 classes and rename "Remoting..." classes

#7 - 04/19/2021 02:21 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.25

#8 - 07/16/2021 02:51 PM - Andreas Miuller

- Target version changed from Release 5.25 to Release 5.45
